japitools 0.9.7+git20150619-1 source package in Ubuntu

Changelog

japitools (0.9.7+git20150619-1) unstable; urgency=medium

  * New upstream release
  * Removed Michael Koch from the uploaders (Closes: #654027, #884611)
  * Switched the source to the Andrew John Hughes' fork
  * Build with the DH sequencer instead of CDBS
  * Moved the package to Git
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <email address hidden>  Mon, 18 Jan 2021 12:43:03 +0100

Upload details

Uploaded by:
Debian Java Maintainers
Uploaded to:
Sid
Original maintainer:
Debian Java Maintainers
Architectures:
all
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Lunar release universe devel
Kinetic release universe devel
Jammy release universe devel

Builds

Hirsute: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
japitools_0.9.7+git20150619-1.dsc 2.0 KiB e0e5443ea8fe929dd2e49554f873a8774bfa635f4847fc6927df5be52b247f26
japitools_0.9.7+git20150619.orig.tar.xz 87.4 KiB e1c1cc1ed9507eac4b0561faa2e9f1e671b6ac8085240a3c5871decce30e509d
japitools_0.9.7+git20150619-1.debian.tar.xz 8.8 KiB d14cbd9245d33dd085e4c82c779029b6e60c7aee3635881bf2b393a38ec51308

Available diffs

No changes file available.

Binary packages built by this source

japitools: Java API compatibility testing tools

 It consists of two simple tools designed to test for compatibility between
 Java APIs. They were originally designed for testing free implementations
 of Java itself for compatibility with Sun's JDK, but they can also be used
 for testing backward compatibility between versions of any API.
 .
 The tools are japize and japicompat. Japize is a Java program which emits
 a listing of an API in a machine-readable format. Japicompat then takes two
 such listings and compares them for binary compatibility, as defined by Sun
 in the Java Language Specification.